mozdev.org

Traductions : cz | de | en | es | fr | ja | nl | pl | zh

Acrobat Reader FAQ

Installer Acrobat Reader

Comment installer Adobe Reader sous Windows ?

Tout d'abord, choisissez la version appropriée à votre système :

Version de Windows Version Adobe Reader adaptée
Windows Server 2003 Adobe Reader 7.0.5
Windows XP Adobe Reader 7.0.5
Windows 2000 Adobe Reader 7.0.5
Windows NT 4.0 avec IE 5.01 ou supérieur Adobe Reader 6.02 avec les mises à jour 6.0.3 et 6.0.4
Windows NT 4.0 sans IE 5.01 ou supérieur Adobe Reader 5.1
Windows Me Adobe Reader 6.0.2 avec les mises à jour 6.0.3 et 6.0.4
Windows 98 Seconde Edition Adobe Reader 6.0.2 avec les mises à jour 6.0.3 et 6.0.4
Windows 98 ou précédente Adobe Reader 5.1

Sous Windows, installez simplement Adobe Reader. Mozilla va détecter le plugin d'Adobe Reader s'il est déjà installé, et l'installeur d'Adobe Reader ajoutera automatiquement le plugin à Mozilla si vous installez Adobe Reader après Mozilla.

Si vous voulez passer de la version 6.0.x d'Adobe Reader à la version 7.0, désinstallez en premier les mises à jour par ordre d'installation, et seulement ensuite désinstallez Adobe Reader. Vous aurez ainsi une mise à jour propre d'Adobe Reader 7.0.

Comment installer Acrobat Reader sous Linux ?

Pour installer le plugin Acrobat Reader, copiez le fichier nppdf.so vers le répertoire plugins de Mozilla, et assurez vous d'avoir une copie d'acroread (ou un lien symbolique vers) dans votre PATH.

Note! Adobe Reader 7.0 inclut un script permettant l'installation du plugin pour le navigateur, bien qu'il ne soit pas lancé par défaut lors de l'installation. Si vous avez installé Adobe Reader 7.0 à son emplacement par défaut, ce script est situé dans ce répertoire :

/usr/local/Adobe/Acrobat7.0/Browser/install_browser_plugin

Important! Tous les utilisateurs devraient mettre à jour Acrobat Reader avec les versions les plus récentes pour des questions de sécurité.

[Téléchargez Adobe Reader 7.0 (Tarball)] [ Téléchargez Adobe Reader 7.0 (RPM)] [Téléchargez Acrobat Reader 5.0.10]

Comment installer Acrobat Reader sous MacOS 9.x ?

Installez simplement Adobe Acrobat Reader. Le plugin est automatiquement installé dans le dossier Internet Plug-in de votre système de fichiers.

[Téléchargez Acrobat Reader 5.1 (Monolithic)]

Quel plugin dois-je utiliser pour afficher des PDF sous MacOS X ?

Sous MacOS X, vous devez utiliser le plugin PDF disponible sur le site Schubert it. Pour l'installer, procédez ainsi :

  1. Téléchargez PDF Browser Plugin.
  2. Montez une image disk.
  3. Copiez le PDF Browser Plug dans votre dossier Internet Plug-ins.

Note: Ce plugin est libre pour un usage non commercial. Les usages commerciaux nécessitent une licence. Reportez vous sur le site pour de plus amples informations.

[Téléchargez PDF Browser Plugin]

Comment installer Acrobat Reader sous OS/2 Warp ?

Pour installer le plugin Acrobar sous OS/2 Warp, installez Acrobat Reader, et copiez ensuite le fichier nppdfos2.dll vers le répertoire plugins de votre navigateur.

[Téléchargez Acrobat Reader 3.0]

Information générale pour les utilisateurs de SOLARIS

Note: Cette information est donnée par Clark Frazier Hale

Ce qui suit fonctionne avec Mozilla 1.4 de SUN, et Acrobat Reader 5.0.9.

La simple création d'un lien vers le fichier nspdf.so dans le répertoire plugin ne permet pas à Acrobat de fonctionner, car il a une dépendence dans libXm.so. nspdf.so n'est pas lié vers libXm.so (un vestige de Netscape 4), et le script de lancement de Mozilla ne précharge pas la librairie. Une solution consiste à :

$ LD_PRELOAD=libXm.so mozilla

Toutefois, sous Solaris 9 (et sûrement Solaris 8), libXm.so ne se trouve pas dans les librairies approuvées, et de ce fait, le gestionnaire de liens ne la chargera pas. La solution nécessite d'ajouter /usr/lib au répertoire de recherche sécurisé via la commande clre :

# crle -s /usr/lib/secure:/usr/lib

Et pour UltraSPARC :

# crle -s /usr/lib/secure/64:/usr/lib/64

Ce changement dans le répertoire des librairies approuvées constitue un risque potentiel de sécurité. Sur une station de travail, ce risque reste minime.

Voila, Acrobat fonctionne maintenant sous Mozilla.

Questions Générales

Quels types MIME le plugin d'Acrobat gère-t-il ?

Acrobat Reader 5.1 et plus ancien ne supporte que le type application/pdf.

Adobe Reader 6.0 peut supporter les types MIME suivants :

Pourquoi Mozilla affiche des caractères bizarres ou propose de sauvegarder un fichier PDF alors que le plugin est installé ?

Malheureusement, certains serveurs Web envoient les fichiers PDF avec un type MIME incorrect. Quand cela se produit, Mozilla utilise ses associations de types mémorisées, et affiche le fichier sous forme de texte (text/plain) ou propose de le sauvegarder sur le disque (application/octet-stream).

Note: Mozilla Firefox inclut un correctif pour la plupart des types envoyés de façon erronée, afin d'éviter d'afficher les fichiers PDF sous forme de caractères bizarres.

Les raccourcis clavier ne peuvent pas être utilisés lorsque Acrobat est chargé dans une page

C'est un problème connu avec de nombreux plugins, pas seulement le plugin Acrobat. Plusieurs bugs ont été rédigés sur le sujet [Liste des Bugs].

Problèmes sous Windows

Quels problèmes sont connus avec le plugin d'Acrobat ?

Avec Adobe Reader 6.0 sous Windows, vous pouvez rencontrer certains des problèmes suivants :

Acrobat Reader 5.1 n'a pas ces problèmes, et peut être utilisé comme solution alternative. Adobe Reader 7.0 ne présente pas de problèmes majeurs.

Le chargement de fichiers PDF gèle ou plante Mozilla. Que puis-je faire ?

Si vous avez des problèmes avec Adobe Reader, essayez les résolutions suivantes :

Adobe Reader 6.0 est terriblement lent. Comment puis-je l'accélérer ?

Adobe Reader 7.0 est bien plus rapide que Adobe Reader 6.0.x, donc si vous utilisez Windows 2000 ou version ultérieure, la première chose à faire est de changer pour la version d'Adobe Reader 7.0.

Adobe Reader 6.0 peut s'avérer extrèment lent. Vous pouvez l'accélérer en désactivant des plugins d'Adobe Reader non nécessaires. Pour cette opération, déplacez tous les fichiers du répertoire plug_ins d'Adobe Reader vers le répertoire optional, à l'exception de :

Il a été signalé que sans ces plugins optionels, Adobe Reader peut démarrer 15% plus vite. Si vous avez besoin des fonctionnalités de certains de ces plugins, remettez les simplement dans le répertoire plug_ins.

De plus, vous pouvez désactiver l'image de démarrage et les tests de mise à jour de version lors du démarrage dans les préférences d'Adobe Reader.

Comment enlever le plugin d'Acrobat ?

Effacez le fichier nppdf32.dll du répertoire plugins de Mozilla Firefox. Vous devez activer l'affichage des fichiers cachés pour cela.

Je n'ai pas installé le plugin d'Acrobat pour Mozilla, pourquoi l'utilise-t-il ?

Le scanner de plugins de Mozilla a localisé une autre copie du plugin d'Acrobat, en utilisant soit le scan d'Acrobat, soit le scanner de plugin de Netscape 4.x.

Important! Les fichiers de configuration de Mozilla doivent être édités avec un éditeur de texte supportant les codes de fin de ligne d'Unix. N'utilisez pas le Bloc Note de Windows pour les modifier.

Pour désactiver le scan d'Acrobat, ouvrez le fichier \default\pref\winprefs.js, et mettez en commentaire la ligne suivante en ajoutant // en début de ligne :

pref("plugin.scan.Acrobat", "5.0");

Pour désactiver le scanner de Netscape 4.x, ouvrez le fichier \default\pref\winprefs.js, et enlevez les marques de commentaire // de la ligne suivante :

//pref("plugin.scan.4xPluginFolder", false);

Notez que cette dernière opération empêchera toute détection de plugins en utilisant le scanner de Netscape 4.x, et pas seulement Acrobat. Plus d'information sur le scan de plugins.

Note: sur des versions récentes de Mozilla, vous devrez éditer le fichier \greprefs\all.js au lieu de \default\pref\winprefs.js.

Problèmes sous Linux

Acrobat Reader 5.0.x s'interrompt avec le message 'Warning: charset "UTF-8" not supported, using "ISO8859-1"'. Que puis-je faire ?

La solution à ce problème varie selon la distribution de Linux. Dans chaque cas, vous devez éditer le fichier /usr/local/Acrobat5/bin/acroread en tant administrateur root, et ajouter le texte suivant au début du fichier :

ReadHat 8.0 ou supérieur

LANG=en_US
export LANG

Mandrake 9.x

LC_CTYPE=C
export LC_CTYPE

Les fichiers PDF encapsulés ne s'affichent pas avec l'utilisation d'Adobe Reader 7.0

Il a été signalé que des fichiers PDF encapsulés dans des pages Web ne s'affichaient pas avec l'utilisation du plugin Adobe Reader 7.0, car des options incorrectes étaient passées à acroread.

Support

J'ai une question non mentionnée dans cette FAQ. Où puis je la poser ?

Si vous avez une question qui n'est pas sur cette page, faites une recherche sur le forum de MozillaZine pour voir si le problème a déjà été posé. Si ce n'est pas le cas, vous pouvez poster sur ce forum.

Comment contribuer à cette FAQ ?

Si vous voulez contribuez à compléter cette page, envoyez un email à Michael Hendy.